Names (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.ws.addressing

## Class Names

- java.lang.Object
- - org.apache.cxf.ws.addressing.Names

-     public final class Names
      extends Object

  Holder for WS-Addressing names (of headers, namespaces etc.).

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ACTION_MISMATCH_NAME` |
    `static QName` | `ACTION_MISMATCH_QNAME` |
    `static String` | `ACTION_NOT_SUPPORTED_NAME` |
    `static QName` | `ACTION_NOT_SUPPORTED_QNAME` |
    `static String` | `DESTINATION_UNREACHABLE_NAME` |
    `static QName` | `DESTINATION_UNREACHABLE_QNAME` |
    `static String` | `DUPLICATE_MESSAGE_ID_NAME` |
    `static QName` | `DUPLICATE_MESSAGE_ID_QNAME` |
    `static String` | `ENDPOINT_UNAVAILABLE_NAME` |
    `static QName` | `ENDPOINT_UNAVAILABLE_QNAME` |
    `static String` | `HEADER_REQUIRED_NAME` |
    `static QName` | `HEADER_REQUIRED_QNAME` |
    `static Set<QName>` | `HEADERS` | The set of headers understood by the protocol binding.
    `static String` | `INVALID_CARDINALITY_NAME` |
    `static QName` | `INVALID_CARDINALITY_QNAME` |
    `static String` | `INVALID_MAP_NAME` |
    `static QName` | `INVALID_MAP_QNAME` |
    `static String` | `MAP_REQUIRED_NAME` |
    `static QName` | `MAP_REQUIRED_QNAME` |
    `static String` | `ONLY_ANONYMOUS_ADDRESS_SUPPORTED_NAME` |
    `static QName` | `ONLY_ANONYMOUS_ADDRESS_SUPPORTED_QNAME` |
    `static String` | `ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_NAME` |
    `static QName` | `ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_QNAME` |
    `static String` | `WSA_ACTION_NAME` |
    `static QName` | `WSA_ACTION_QNAME` |
    `static String` | `WSA_ADDRESS_NAME` |
    `static QName` | `WSA_ADDRESS_QNAME` |
    `static String` | `WSA_ANONYMOUS_ADDRESS` |
    `static String` | `WSA_DEFAULT_FAULT_ACTION` |
    `static String` | `WSA_DEFAULT_SOAP_FAULT_ACTION` |
    `static String` | `WSA_FAULT_DELIMITER` |
    `static String` | `WSA_FAULTTO_NAME` |
    `static QName` | `WSA_FAULTTO_QNAME` |
    `static String` | `WSA_FROM_NAME` |
    `static QName` | `WSA_FROM_QNAME` |
    `static String` | `WSA_IS_REFERENCE_PARAMETER_NAME` |
    `static QName` | `WSA_IS_REFERENCE_PARAMETER_QNAME` |
    `static String` | `WSA_MESSAGEID_NAME` |
    `static QName` | `WSA_MESSAGEID_QNAME` |
    `static String` | `WSA_METADATA_NAME` |
    `static QName` | `WSA_METADATA_QNAME` |
    `static String` | `WSA_NAMESPACE_NAME` |
    `static String` | `WSA_NAMESPACE_PATTERN` |
    `static String` | `WSA_NAMESPACE_WSDL_METADATA` |
    `static String` | `WSA_NAMESPACE_WSDL_NAME` |
    `static String` | `WSA_NAMESPACE_WSDL_NAME_OLD` |
    `static String` | `WSA_NONE_ADDRESS` |
    `static String` | `WSA_REFERENCE_PARAMETERS_NAME` |
    `static QName` | `WSA_REFERENCE_PARAMETERS_QNAME` |
    `static String` | `WSA_RELATESTO_NAME` |
    `static QName` | `WSA_RELATESTO_QNAME` |
    `static String` | `WSA_RELATIONSHIP_DELIMITER` |
    `static String` | `WSA_RELATIONSHIP_REPLY` |
    `static String` | `WSA_RELATIONSHIPTYPE_NAME` |
    `static QName` | `WSA_RELATIONSHIPTYPE_QNAME` |
    `static String` | `WSA_REPLY_NAME` |
    `static String` | `WSA_REPLYTO_NAME` |
    `static QName` | `WSA_REPLYTO_QNAME` |
    `static String` | `WSA_TO_NAME` |
    `static QName` | `WSA_TO_QNAME` |
    `static String` | `WSA_UNSPECIFIED_RELATIONSHIP` |
    `static String` | `WSAW_ACTION_NAME` |
    `static QName` | `WSAW_ACTION_QNAME` |
    `static String` | `WSAW_USING_ADDRESSING_NAME` |
    `static QName` | `WSAW_USING_ADDRESSING_QNAME` |
    `static String` | `WSDL_INSTANCE_NAMESPACE_NAME` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WSA_NAMESPACE_NAME

          public static final String WSA_NAMESPACE_NAME

      See Also:
        Constant Field Values

    - #### WSA_NAMESPACE_WSDL_NAME

          public static final String WSA_NAMESPACE_WSDL_NAME

      See Also:
        Constant Field Values

    - #### WSA_NAMESPACE_WSDL_NAME_OLD

          public static final String WSA_NAMESPACE_WSDL_NAME_OLD

      See Also:
        Constant Field Values

    - #### WSA_NAMESPACE_WSDL_METADATA

          public static final String WSA_NAMESPACE_WSDL_METADATA

      See Also:
        Constant Field Values

    - #### WSA_NAMESPACE_PATTERN

          public static final String WSA_NAMESPACE_PATTERN

      See Also:
        Constant Field Values

    - #### WSA_REFERENCE_PARAMETERS_NAME

          public static final String WSA_REFERENCE_PARAMETERS_NAME

      See Also:
        Constant Field Values

    - #### WSA_REFERENCE_PARAMETERS_QNAME

          public static final QName WSA_REFERENCE_PARAMETERS_QNAME

    - #### WSA_IS_REFERENCE_PARAMETER_NAME

          public static final String WSA_IS_REFERENCE_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### WSA_IS_REFERENCE_PARAMETER_QNAME

          public static final QName WSA_IS_REFERENCE_PARAMETER_QNAME

    - #### WSA_ADDRESS_NAME

          public static final String WSA_ADDRESS_NAME

      See Also:
        Constant Field Values

    - #### WSA_ADDRESS_QNAME

          public static final QName WSA_ADDRESS_QNAME

    - #### WSA_METADATA_NAME

          public static final String WSA_METADATA_NAME

      See Also:
        Constant Field Values

    - #### WSA_METADATA_QNAME

          public static final QName WSA_METADATA_QNAME

    - #### WSA_FROM_NAME

          public static final String WSA_FROM_NAME

      See Also:
        Constant Field Values

    - #### WSA_FROM_QNAME

          public static final QName WSA_FROM_QNAME

    - #### WSA_TO_NAME

          public static final String WSA_TO_NAME

      See Also:
        Constant Field Values

    - #### WSA_TO_QNAME

          public static final QName WSA_TO_QNAME

    - #### WSA_REPLYTO_NAME

          public static final String WSA_REPLYTO_NAME

      See Also:
        Constant Field Values

    - #### WSA_REPLYTO_QNAME

          public static final QName WSA_REPLYTO_QNAME

    - #### WSA_FAULTTO_NAME

          public static final String WSA_FAULTTO_NAME

      See Also:
        Constant Field Values

    - #### WSA_FAULTTO_QNAME

          public static final QName WSA_FAULTTO_QNAME

    - #### WSA_ACTION_NAME

          public static final String WSA_ACTION_NAME

      See Also:
        Constant Field Values

    - #### WSA_ACTION_QNAME

          public static final QName WSA_ACTION_QNAME

    - #### WSA_MESSAGEID_NAME

          public static final String WSA_MESSAGEID_NAME

      See Also:
        Constant Field Values

    - #### WSA_MESSAGEID_QNAME

          public static final QName WSA_MESSAGEID_QNAME

    - #### WSA_REPLY_NAME

          public static final String WSA_REPLY_NAME

      See Also:
        Constant Field Values

    - #### WSA_RELATIONSHIP_DELIMITER

          public static final String WSA_RELATIONSHIP_DELIMITER

      See Also:
        Constant Field Values

    - #### WSA_RELATIONSHIP_REPLY

          public static final String WSA_RELATIONSHIP_REPLY

      See Also:
        Constant Field Values

    - #### WSA_RELATESTO_NAME

          public static final String WSA_RELATESTO_NAME

      See Also:
        Constant Field Values

    - #### WSA_RELATESTO_QNAME

          public static final QName WSA_RELATESTO_QNAME

    - #### WSA_RELATIONSHIPTYPE_NAME

          public static final String WSA_RELATIONSHIPTYPE_NAME

      See Also:
        Constant Field Values

    - #### WSA_RELATIONSHIPTYPE_QNAME

          public static final QName WSA_RELATIONSHIPTYPE_QNAME

    - #### WSA_ANONYMOUS_ADDRESS

          public static final String WSA_ANONYMOUS_ADDRESS

      See Also:
        Constant Field Values

    - #### WSA_NONE_ADDRESS

          public static final String WSA_NONE_ADDRESS

      See Also:
        Constant Field Values

    - #### WSA_UNSPECIFIED_RELATIONSHIP

          public static final String WSA_UNSPECIFIED_RELATIONSHIP

      See Also:
        Constant Field Values

    - #### WSA_FAULT_DELIMITER

          public static final String WSA_FAULT_DELIMITER

      See Also:
        Constant Field Values

    - #### WSA_DEFAULT_FAULT_ACTION

          public static final String WSA_DEFAULT_FAULT_ACTION

      See Also:
        Constant Field Values

    - #### WSA_DEFAULT_SOAP_FAULT_ACTION

          public static final String WSA_DEFAULT_SOAP_FAULT_ACTION

      See Also:
        Constant Field Values

    - #### WSAW_ACTION_NAME

          public static final String WSAW_ACTION_NAME

      See Also:
        Constant Field Values

    - #### WSAW_ACTION_QNAME

          public static final QName WSAW_ACTION_QNAME

    - #### WSAW_USING_ADDRESSING_NAME

          public static final String WSAW_USING_ADDRESSING_NAME

      See Also:
        Constant Field Values

    - #### WSAW_USING_ADDRESSING_QNAME

          public static final QName WSAW_USING_ADDRESSING_QNAME

    - #### WSDL_INSTANCE_NAMESPACE_NAME

          public static final String WSDL_INSTANCE_NAMESPACE_NAME

      See Also:
        Constant Field Values

    - #### INVALID_MAP_NAME

          public static final String INVALID_MAP_NAME

      See Also:
        Constant Field Values

    - #### INVALID_MAP_QNAME

          public static final QName INVALID_MAP_QNAME

    - #### MAP_REQUIRED_NAME

          public static final String MAP_REQUIRED_NAME

      See Also:
        Constant Field Values

    - #### MAP_REQUIRED_QNAME

          public static final QName MAP_REQUIRED_QNAME

    - #### DESTINATION_UNREACHABLE_NAME

          public static final String DESTINATION_UNREACHABLE_NAME

      See Also:
        Constant Field Values

    - #### DESTINATION_UNREACHABLE_QNAME

          public static final QName DESTINATION_UNREACHABLE_QNAME

    - #### ACTION_NOT_SUPPORTED_NAME

          public static final String ACTION_NOT_SUPPORTED_NAME

      See Also:
        Constant Field Values

    - #### ACTION_NOT_SUPPORTED_QNAME

          public static final QName ACTION_NOT_SUPPORTED_QNAME

    - #### ENDPOINT_UNAVAILABLE_NAME

          public static final String ENDPOINT_UNAVAILABLE_NAME

      See Also:
        Constant Field Values

    - #### ENDPOINT_UNAVAILABLE_QNAME

          public static final QName ENDPOINT_UNAVAILABLE_QNAME

    - #### DUPLICATE_MESSAGE_ID_NAME

          public static final String DUPLICATE_MESSAGE_ID_NAME

      See Also:
        Constant Field Values

    - #### DUPLICATE_MESSAGE_ID_QNAME

          public static final QName DUPLICATE_MESSAGE_ID_QNAME

    - #### ACTION_MISMATCH_NAME

          public static final String ACTION_MISMATCH_NAME

      See Also:
        Constant Field Values

    - #### ACTION_MISMATCH_QNAME

          public static final QName ACTION_MISMATCH_QNAME

    - #### HEADER_REQUIRED_NAME

          public static final String HEADER_REQUIRED_NAME

      See Also:
        Constant Field Values

    - #### HEADER_REQUIRED_QNAME

          public static final QName HEADER_REQUIRED_QNAME

    - #### ONLY_ANONYMOUS_ADDRESS_SUPPORTED_NAME

          public static final String ONLY_ANONYMOUS_ADDRESS_SUPPORTED_NAME

      See Also:
        Constant Field Values

    - #### ONLY_ANONYMOUS_ADDRESS_SUPPORTED_QNAME

          public static final QName ONLY_ANONYMOUS_ADDRESS_SUPPORTED_QNAME

    - #### ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_NAME

          public static final String ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_NAME

      See Also:
        Constant Field Values

    - #### ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_QNAME

          public static final QName ONLY_NONANONYMOUS_ADDRESS_SUPPORTED_QNAME

    - #### INVALID_CARDINALITY_NAME

          public static final String INVALID_CARDINALITY_NAME

      See Also:
        Constant Field Values

    - #### INVALID_CARDINALITY_QNAME

          public static final QName INVALID_CARDINALITY_QNAME

    - #### HEADERS

          public static final Set<QName> HEADERS

      The set of headers understood by the protocol binding.